<template>
  <div class="url-input">
    <div class="input">
      <input type="text" v-model="url" placeholder="https://url.to/picture">
    </div>
    <button class="send" @click="() => handleSendUrl(url)">Send</button>
  </div>
</template>

<script>
import { mapActions } from 'vuex'
// <span v-if="url.length > 0" @click="reset"><span>Clear</span></span>
export default {
  name: 'url-input',
  data() {
    return {
      url: ''
    }
  },
  computed: {
  },
  methods: {
    ...mapActions(['handleEnterUrl', 'handleSendUrl']),
    reset() {
      this.url = ''
    }
  }
}
</script>

<style lang="scss" scoped>
@import '../config.scss';

.url-input {
  height: 100px;
  width: 100%;
  position: relative;
  display: flex;
  align-items: center;

  @media screen and (max-width: 400px) {
    flex-direction: column;
    align-items: stretch;
  }

  .input {
    display: flex;
    flex: 1;
    margin-right: 16px;

    @media screen and (max-width: 400px) {
      margin-right: 0;
    }


    >input {
      border: none;
      background-color: $light-grey;
      padding-right: 44px;
      width: 100%;
      height: 44px;
      border-radius: 8px;
      padding-left: 16px;
      font-size: 16px;
      border: 1px dashed $orange;


      &::placeholder {
        opacity: 0.4;
        color: $dark-grey;
      }

      &:focus {
        border: 1px solid $orange;
        outline: none;
      }
    }

    >span {
      >span {
        font-size: 14px;
        height: 24px;
        padding: 4px;
        border-radius: 4px;
        margin-right: 16px;
        color: $dark-grey;
        display: flex;
        align-items: center;
        justify-content: center;
      }

      display: flex;
      justify-content: center;
      align-items: center;
      height: 44px;
      width: 44px;
      position: absolute;
      right: 0;
      top: 0;
      color: $dark-grey;
      cursor: pointer;

    }
  }

  .send {
    width: 80px;
    height: 44px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: $orange;
    text-transform: capitalize;
    border-radius: 8px;
    border: none;
    color: $white;
    cursor: pointer;
    font-size: 16px;

    @media screen and (max-width: 400px) {
      width: 100%;
    }
  }
}
</style>
